Loading...
Searching...
No Matches
number_wrap.h File Reference

Go to the source code of this file.

## Functions

void | export_number ()

## Function Documentation

## export_number()

void export_number | ( |  | ) |

Definition at line 19 of file number_wrap.cc.

{
boost::python::class_<Number>("Number")
.def(boost::python::init <int>("creates a number in currRing by default, more complex constructs can be fetched from the interpreter"))
.def("__str__", Number_as_str)
.def(-self)
.def(self*=self)
.def(self+=self)
.def(self-=self)
.def(self/=self)
.def(self==self)
.def(self+self)
.def(self*self)
.def(self/self)
.def(self-self)
.def(int()==self)
.def(int()+self)
.def(int()*self)
.def(int()/self)
.def(int()-self)
.def(self==int())
.def(self+int())
.def(self*int())
.def(self/int())
.def(self-int())
.def(self*=int())
.def(self+=int())
.def(self-=int())
.def(self/=int())
.def("ring",Number_get_Ring);
}
Number_get_Ring
static Ring Number_get_Ring(const Number &n)
Definition number_wrap.cc:16
Number_as_str
static boost::python::object Number_as_str(const Number &n)
Definition number_wrap.cc:8